Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.cluster
Class SeniorMemberServicesRequest

    java.lang.Object
      org.jivesoftware.openfire.muc.cluster.SeniorMemberServicesRequest

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

    public class SeniorMemberServicesRequest

extends Object
implements ClusterTask

Task to be requested by a node that joins a cluster and be executed in the senior cluster member to get the services with rooms with occupants. The list of services with rooms with occupants is returned to the new cluster node so that the new cluster node can be updated and have the same information shared by the cluster.

Moreover, each existing cluster node will also need to learn the services and rooms with occupants that exist in the new cluster node and replicate them. This work is accomplished using `GetNewMemberRoomsRequest` on each service.

Author:
  Daniel Henninger
See Also:
  Serialized Form

Constructor Summary
`SeniorMemberServicesRequest()`

Method Summary
`Object` | `getResult()`
`void` | `readExternal(ObjectInput in)`
`void` | `run()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeniorMemberServicesRequest

    public SeniorMemberServicesRequest()

Method Detail

### getResult

    public Object getResult()

  Specified by:
    `getResult` in interface `ClusterTask`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.